# -*- coding: utf-8 -*-
"""
/***************************************************************************
 StreamFeatureExtract
                                 A QGIS plugin
 This plugin saves the attributes of selected vector layer as a CSV file.
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2020-06-11
        copyright            : (C) 2020 by JD
        email                : jayabrata009@gmail.com
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load StreamFeatureExtract class from file StreamFeatureExtract.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .Stream_Feature_Extract import StreamFeatureExtract
    return StreamFeatureExtract(iface)
